#   Copyright (c) 2016, Xilinx, Inc.
#   All rights reserved.
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions are met:
#
#   1.  Redistributions of source code must retain the above copyright notice,
#       this list of conditions and the following disclaimer.
#
#   2.  Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#
#   3.  Neither the name of the copyright holder nor the names of its
#       contributors may be used to endorse or promote products derived from
#       this software without specific prior written permission.
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#   PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#   OR BUSINESS INTERRUPTION). HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#   OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#   ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


__author__ = "Yun Rock Qu"
__copyright__ = "Copyright 2017, Xilinx"
__email__ = "pynq_support@xilinx.com"


PYNQZ1_PMODA_SPECIFICATION = {'interface_width': 8,
                              'monitor_width': 32,
                              'traceable_io_pins': {'D0': 0,
                                                    'D1': 1,
                                                    'D2': 2,
                                                    'D3': 3,
                                                    'D4': 4,
                                                    'D5': 5,
                                                    'D6': 6,
                                                    'D7': 7
                                                    },
                              'traceable_tri_states': {'D0': 8,
                                                       'D1': 9,
                                                       'D2': 10,
                                                       'D3': 11,
                                                       'D4': 12,
                                                       'D5': 13,
                                                       'D6': 14,
                                                       'D7': 15
                                                       }
                              }
PYNQZ1_ARDUINO_SPECIFICATION = {'interface_width': 20,
                                'monitor_width': 64,
                                'traceable_io_pins': {'D0': 0,
                                                      'D1': 1,
                                                      'D2': 2,
                                                      'D3': 3,
                                                      'D4': 4,
                                                      'D5': 5,
                                                      'D6': 6,
                                                      'D7': 7,
                                                      'D8': 8,
                                                      'D9': 9,
                                                      'D10': 10,
                                                      'D11': 11,
                                                      'D12': 12,
                                                      'D13': 13,
                                                      'A0': 14,
                                                      'A1': 15,
                                                      'A2': 16,
                                                      'A3': 17,
                                                      'A4': 18,
                                                      'A5': 19,
                                                      'SDA': 20,
                                                      'SCL': 21
                                                      },
                                'traceable_tri_states': {'D0': 32,
                                                         'D1': 33,
                                                         'D2': 34,
                                                         'D3': 35,
                                                         'D4': 36,
                                                         'D5': 37,
                                                         'D6': 38,
                                                         'D7': 39,
                                                         'D8': 40,
                                                         'D9': 41,
                                                         'D10': 42,
                                                         'D11': 43,
                                                         'D12': 44,
                                                         'D13': 45,
                                                         'A0': 46,
                                                         'A1': 47,
                                                         'A2': 48,
                                                         'A3': 49,
                                                         'A4': 50,
                                                         'A5': 51,
                                                         'SDA': 52,
                                                         'SCL': 53
                                                         }
                                }
